[paths]
train = './corpus/train.spacy'
dev =  './corpus/dev.spacy'
test = './corpus/test.spacy'

raw = null
init_tok2vec = null

[system]
seed = 342
gpu_allocator = null

[nlp]
lang = "de"
pipeline = ["arg_classifier"]
tokenizer = {"@tokenizers":"spacy.Tokenizer.v1"}

[components]

[components.arg_classifier]
factory = "arg_classifier"
threshold = 0.5

[components.arg_classifier.model]
@architectures = "arg_model.v1"

[components.arg_classifier.model.classification_layer]
@architectures = "arg_classification_layer.v1"
input_width = 256
hidden_width = 128

[components.arg_classifier.model.create_instance_tensor]
@architectures = "arg_instance_tensor.v1"

[components.arg_classifier.model.create_instance_tensor.tok2vec]
@architectures = "spacy.HashEmbedCNN.v1"
pretrained_vectors = null
width = 128
depth = 4
embed_size = 2000
window_size = 1
maxout_pieces = 3
subword_features = true

[components.arg_classifier.model.create_instance_tensor.pooling]
@layers = "reduce_mean.v1"

[components.arg_classifier.model.create_instance_tensor.get_instances]
@misc = "arg_instance_generator.v1"
max_length = 40


[initialize]

[initialize.components]

[corpora]

[corpora.dev]
@readers = "gold_args_reader.v1"
file = ${paths.dev}

[corpora.train]
@readers = "gold_args_reader.v1"
file = ${paths.train}

[training]
seed = ${system.seed}
gpu_allocator = ${system.gpu_allocator}
dropout = 0.15
accumulate_gradient = 1
patience = 1600000
max_epochs = 0
max_steps = 100000
eval_frequency = 500
frozen_components = []
dev_corpus = "corpora.dev"
train_corpus = "corpora.train"
before_to_disk = null
logger = {"@loggers":"spacy.ConsoleLogger.v1"}

[training.batcher]
@batchers = "spacy.batch_by_words.v1"
discard_oversize = false
tolerance = 0.2

[training.batcher.size]
@schedules = "compounding.v1"
start = 100
stop = 1000
compound = 1.001

[training.optimizer]
@optimizers = "Adam.v1"
beta1 = 0.9
beta2 = 0.999
L2_is_weight_decay = true
L2 = 0.01
grad_clip = 1.0
use_averages = false
eps = 0.00000001
learn_rate = 0.001

[training.score_weights]
args_micro_p = 0.0
args_micro_r = 0.0
args_micro_f = 1.0
